MockDecCortesEvap = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 31.14 - Dez/2022(L)                     *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " Backtest Preliminar CPAMP 2022-2023 - Hibrido DECOMP 01/2020 rv4                \n",
    "____________________________________________________________________\n",
    "\n",
    "----------------------------\n",
    "Cortes da Evaporacao linear.                                                    \n",
    "----------------------------\n",
    "-----------------------------------------------------------------------------------------\n",
    "IPER;       Indice do periodo                                                                                                                                                                           \n",
    "USIH;       Numero de cadastro da usina hidroeletrica                                                                                                                                                   \n",
    "NomeUsih;   Nome de cadastro da usina hidroeletrica                                                                                                                                                     \n",
    "Sist;       Numero do subsistema                                                                                                                                                                        \n",
    "REE;        Numero de cadastro do reservatorio equivalente                                                                                                                                              \n",
    "Der. Area;  Derivada do polinomio Area X Cota pela Cota.                                                                                                                                                \n",
    "Der. Cota;  Derivada do polinomio Cota X Volume pelo Volume.                                                                                                                                            \n",
    "Vol. Ref.;  Volume de referencia para a montagem da equacao linear para a evaporacao                                                                                                                    \n",
    "Evap. Ref.; Evaporacao de referencia para a montagem da equacao linear para a evaporacao.                                                                                                               \n",
    "Coef. Vol.; Coeficiente para o volume na equacao de evaporacao linear.                                                                                                                                  \n",
    "Rhs. Vol.;  RHS da equacao de evaporacao linear.                                                                                                                                                        \n",
    "-----------------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;-----;--------------;----;-----;----------------------;----------------------;-----------;-----------;-----------------;------------;\n",
    "IPER ;USIH ;   NomeUsih   ;Sist; REE ;      Der. Area       ;      Der. Cota       ; Vol. Ref. ;Evap. Ref. ;   Coef. Vol.    ; Rhs. Vol.  ;\n",
    "  -  ;  -  ;      -       ; -  ;  -  ;        km2/m         ;        m/hm3         ;    HM3    ;    HM3    ;      1/hm3      ;    hm3     ;\n",
    "-----;-----;--------------;----;-----;----------------------;----------------------;-----------;-----------;-----------------;------------;\n",
    "   1 ; 001 ; CAMARGOS     ;  1 ; 010 ;         3.3046855042 ;         0.0364387763 ;   151.58  ;     0.00  ;    0.0000000000 ;     0.0000 ;\n",
    "   1 ; 002 ; ITUTINGA     ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;    10.66  ;     0.00  ;    0.0000000000 ;     0.0007 ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   265.86  ;     0.05  ;    0.0000000000 ;     0.0520 ;\n",
    "   1 ; 006 ; FURNAS       ;  1 ; 010 ;        45.9736494354 ;         0.0013708751 ;  8728.76  ;     2.20  ;    0.0000942127 ;     1.6371 ;\n",
    "   1 ; 007 ; M. DE MORAES ;  1 ; 010 ;         9.5225984206 ;         0.0051458964 ;  2800.00  ;     0.57  ;    0.0000676171 ;     0.3948 ;\n",
    "   1 ; 008 ; ESTREITO     ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;  1329.60  ;     0.11  ;    0.0000000000 ;     0.1070 ;\n",
    "   1 ; 009 ; JAGUARA      ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   415.80  ;     0.06  ;    0.0000000000 ;     0.0624 ;\n",
    "   1 ; 010 ; IGARAPAVA    ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   235.19  ;     0.10  ;    0.0000000000 ;     0.0957 ;\n",
    "   1 ; 011 ; VOLTA GRANDE ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;  2137.00  ;     0.42  ;    0.0000000000 ;     0.4173 ;\n",
    "   1 ; 012 ; P. COLOMBIA  ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;  1418.06  ;     0.30  ;    0.0000000000 ;     0.2978 ;\n",
    "   1 ; 014 ; CACONDE      ;  1 ; 010 ;         1.0009713970 ;         0.0485680161 ;   282.34  ;     0.08  ;    0.0001006245 ;     0.0349 ;\n",
    "   1 ; 015 ; E. DA CUNHA  ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;    12.82  ;     0.01  ;    0.0000000000 ;     0.0054 ;\n",
    "   1 ; 016 ; A.S.OLIVEIRA ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;    22.69  ;     0.01  ;    0.0000000000 ;     0.0137 ;\n",
    "   1 ; 017 ; MARIMBONDO   ;  1 ; 010 ;        16.1108420041 ;         0.0042397030 ;  2494.30  ;     0.67  ;    0.0000942527 ;     0.3627 ;\n",
    "   1 ; 018 ; A. VERMELHA  ;  1 ; 010 ;        24.2174227190 ;         0.0019718719 ;  8001.14  ;     1.39  ;    0.0000658942 ;     1.1115 ;\n",
    "   1 ; 020 ; BATALHA      ;  1 ; 010 ;         5.8940006735 ;         0.0160358477 ;   582.78  ;     0.00  ;    0.0000000000 ;     0.0000 ;\n",
    "   1 ; 021 ; SERRA FACAO  ;  1 ; 010 ;         4.4994333171 ;         0.0085736469 ;  2472.42  ;     0.17  ;    0.0000266154 ;     0.1321 ;\n",
    "   1 ; 024 ; EMBORCACAO   ;  1 ; 010 ;         5.4489438234 ;         0.0048748097 ;  6718.79  ;     0.00  ;    0.0000000000 ;     0.0000 ;\n",
    "   1 ; 025 ; NOVA PONTE   ;  1 ; 010 ;         6.5369823352 ;         0.0051425966 ;  4363.44  ;     0.73  ;    0.0000618499 ;     0.4912 ;\n",
    "   1 ; 026 ; MIRANDA      ;  1 ; 010 ;         1.6730482210 ;         0.0204784912 ;  1062.91  ;     0.08  ;    0.0000275780 ;     0.0727 ;\n",
    "   1 ; 027 ; CAPIM BRANC1 ;  1 ; 010 ;         0.9300584156 ;         0.0603986110 ;   228.27  ;     0.01  ;    0.0000129189 ;     0.0142 ;\n",
    "   1 ; 028 ; CAPIM BRANC2 ;  1 ; 010 ;         1.4506698834 ;         0.0238586935 ;   867.11  ;     0.02  ;    0.0000079598 ;     0.0250 ;\n",
    "   1 ; 029 ; CORUMBA IV   ;  1 ; 010 ;         5.3517863290 ;         0.0072928961 ;  2985.20  ;     0.61  ;    0.0000852730 ;     0.5994 ;\n",
    "   1 ; 030 ; CORUMBA I    ;  1 ; 010 ;         1.6616437476 ;         0.0240391163 ;   914.96  ;     0.02  ;    0.0000091864 ;     0.0109 ;\n",
    "   1 ; 031 ; ITUMBIARA    ;  1 ; 010 ;        17.6749697649 ;         0.0023382861 ;  7848.40  ;     0.58  ;    0.0000285146 ;     0.3895 ;\n",
    "   1 ; 032 ; CACH.DOURADA ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   466.34  ;     0.17  ;    0.0000000000 ;     0.1746 ;\n",
    "   1 ; 033 ; SAO SIMAO    ;  1 ; 010 ;        23.8639053128 ;         0.0019143054 ;  9243.70  ;     1.52  ;    0.0000682897 ;     1.2167 ;\n",
    "   1 ; 034 ; I. SOLTEIRA  ;  1 ; 010 ;        37.7672647468 ;         0.0008689482 ; 19960.60  ;     4.27  ;    0.0000603794 ;     3.7432 ;\n",
    "   1 ; 037 ; BARRA BONITA ;  1 ; 010 ;        15.7165942930 ;         0.0037911805 ;  2072.68  ;     1.29  ;    0.0001575868 ;     0.8183 ;\n",
    "   1 ; 038 ; A.S. LIMA    ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   528.91  ;     0.30  ;    0.0000000000 ;     0.3021 ;\n",
    "   1 ; 039 ; IBITINGA     ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;   966.05  ;     0.50  ;    0.0000000000 ;     0.5017 ;\n",
    "   1 ; 040 ; PROMISSAO    ;  1 ; 010 ;        16.7050544156 ;         0.0020152977 ;  6046.08  ;     1.79  ;    0.0000619393 ;     1.6951 ;\n",
    "   1 ; 042 ; NAVANHANDAVA ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;  2686.00  ;     0.78  ;    0.0000000000 ;     0.7801 ;\n",
    "   1 ; 043 ; TRES IRMAOS  ;  1 ; 010 ;        26.7757602053 ;         0.0013667362 ; 12682.20  ;     2.69  ;    0.0000673295 ;     2.3232 ;\n",
    "   1 ; 045 ; JUPIA        ;  1 ; 010 ;         0.0000000000 ;         0.0000000000 ;  3258.86  ;     1.35  ;    0.0000000000 ;     1.3537 ;\n",
    "   1 ; 046 ; P. PRIMAVERA ;  1 ; 010 ;       112.9192901849 ;         0.0003830807 ; 16076.59  ;     4.13  ;    0.0000447672 ;     4.1274 ;\n",
    "   1 ; 047 ; A.A. LAYDNER ;  1 ; 012 ;        14.2422289683 ;         0.0027681378 ;  4817.82  ;     2.09  ;    0.0001133352 ;     1.8711 ;\n",
    "   1 ; 048 ; PIRAJU       ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;   105.42  ;     0.09  ;    0.0000000000 ;     0.0880 ;\n",
    "   1 ; 049 ; CHAVANTES    ;  1 ; 012 ;        11.6737380436 ;         0.0030937586 ;  6520.33  ;     2.01  ;    0.0001121293 ;     1.8360 ;\n",
    "   1 ; 050 ; L.N. GARCEZ  ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;    39.64  ;     0.07  ;    0.0000000000 ;     0.0746 ;\n",
    "   1 ; 051 ; CANOAS II    ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;   144.93  ;     0.14  ;    0.0000000000 ;     0.1406 ;\n",
    "   1 ; 052 ; CANOAS I     ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;   206.11  ;     0.15  ;    0.0000000000 ;     0.1473 ;\n",
    "   1 ; 057 ; MAUA         ;  2 ; 011 ;         2.0600009762 ;         0.0124278709 ;  2012.83  ;    -0.59  ;   -0.0000942048 ;    -0.4925 ;\n",
    "   1 ; 061 ; CAPIVARA     ;  1 ; 012 ;        17.5175443094 ;         0.0027919267 ;  5571.57  ;     1.07  ;    0.0000731105 ;     0.9550 ;\n",
    "   1 ; 062 ; TAQUARUCU    ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;   649.62  ;     0.21  ;    0.0000000000 ;     0.2058 ;\n",
    "   1 ; 063 ; ROSANA       ;  1 ; 012 ;         0.0000000000 ;         0.0000000000 ;  1843.32  ;     0.45  ;    0.0000000000 ;     0.4505 ;\n",
    "   1 ; 066 ; ITAIPU       ;  1 ; 005 ;        60.4032257983 ;         0.0007842223 ; 27695.19  ;     4.15  ;    0.0000762582 ;     4.1473 ;\n",
    "   1 ; 071 ; STA CLARA PR ;  2 ; 011 ;         0.4948571581 ;         0.0730821227 ;   250.74  ;     0.04  ;    0.0000540622 ;     0.0319 ;\n",
    "   1 ; 072 ; FUNDAO       ;  2 ; 011 ;         0.0859681841 ;         0.5640261459 ;    34.57  ;     0.01  ;    0.0000780592 ;     0.0063 ;\n",
    "   1 ; 073 ; JORDAO       ;  2 ; 011 ;         0.0000000000 ;         0.3199999928 ;   110.00  ;     0.00  ;    0.0000000000 ;     0.0021 ;\n",
    "   1 ; 074 ; G.B. MUNHOZ  ;  2 ; 011 ;         1.8078829529 ;         0.0123865681 ;  3104.09  ;     0.04  ;    0.0000051500 ;     0.0245 ;\n",
    "   1 ; 076 ; SEGREDO      ;  2 ; 011 ;         1.3947644424 ;         0.0122999233 ;  2945.73  ;     0.11  ;    0.0000118362 ;     0.1022 ;\n",
    "   1 ; 077 ; SLT.SANTIAGO ;  2 ; 011 ;         3.2215378641 ;         0.0072514887 ;  3307.74  ;     0.26  ;    0.0000214902 ;     0.2274 ;\n",
    "   1 ; 078 ; SALTO OSORIO ;  2 ; 011 ;         0.0000000000 ;         0.0000000000 ;  1091.45  ;     0.12  ;    0.0000000000 ;     0.1159 ;\n",
    "   1 ; 082 ; SALTO CAXIAS ;  2 ; 011 ;         0.0000000000 ;         0.0000000000 ;  3495.78  ;     0.16  ;    0.0000000000 ;     0.1626 ;\n",
    "   1 ; 083 ; BAIXO IGUACU ;  2 ; 011 ;         2.4777274350 ;         0.0281848353 ;   211.92  ;    -0.28  ;   -0.0003051488 ;    -0.2750 ;\n",
    "   1 ; 086 ; BARRA GRANDE ;  2 ; 002 ;         0.9197923424 ;         0.0174346652 ;  2711.79  ;    -0.79  ;   -0.0001106404 ;    -0.7887 ;\n",
    "   1 ; 089 ; GARIBALDI    ;  2 ; 002 ;         1.5099999905 ;         0.0396322086 ;   232.00  ;    -0.31  ;   -0.0004060096 ;    -0.3112 ;\n",
    "   1 ; 090 ; CAMPOS NOVOS ;  2 ; 002 ;         0.2400000378 ;         0.0325647075 ;  1320.00  ;    -0.43  ;   -0.0000539223 ;    -0.4250 ;\n",
    "   1 ; 092 ; ITA          ;  2 ; 002 ;         0.0000000000 ;         0.0000000000 ;  4917.34  ;    -2.14  ;    0.0000000000 ;    -2.1429 ;\n",
    "   1 ; 093 ; PASSO FUNDO  ;  2 ; 002 ;         7.0488482187 ;         0.0124209654 ;   482.65  ;    -0.55  ;   -0.0002919649 ;    -0.3768 ;\n",
    "   1 ; 094 ; MONJOLINHO   ;  2 ; 002 ;         0.1251647190 ;         0.1872124675 ;   149.34  ;    -0.08  ;   -0.0001859195 ;    -0.0841 ;\n",
    "   1 ; 095 ; QUEBRA QUEIX ;  2 ; 002 ;         0.1972487735 ;         0.2005909731 ;   120.91  ;     0.01  ;    0.0000500469 ;     0.0105 ;\n",
    "   1 ; 097 ; CASTRO ALVES ;  2 ; 002 ;         0.1140204763 ;         0.1988193606 ;    92.83  ;    -0.07  ;   -0.0001772595 ;    -0.0663 ;\n",
    "\n",
]
