MockDecEcoCotajus = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: DECOMP     - Versao 31.14 - Dez/2022(L)                     *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA OPERADOR NACIONAL DO SISTEMA ELETRICO ONS                                                                                                             \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " Backtest Preliminar CPAMP 2022-2023 - Hibrido DECOMP 01/2020 rv4                \n",
    "____________________________________________________________________\n",
    "\n",
    "--------------------------------------------------------------------------\n",
    "Eco dos dados de cadastro dos polinomios por partes das curvas de jusante.      \n",
    "--------------------------------------------------------------------------\n",
    "---------------------------------------------------------------------------------\n",
    "USIH;      Numero de cadastro da usina hidroeletrica                                                                                                                                                    \n",
    "NomeUsih;  Nome de cadastro da usina hidroeletrica                                                                                                                                                      \n",
    "INDCURJUS; ndice da curva de jusante (curva-chave)                                                                                                                                                     \n",
    "Hrefer;    Altura de montante da usina de jusante para referencia da curva                                                                                                                              \n",
    "INDPOLIN;  ndice do polin�mio da curva de jusante                                                                                                                                                      \n",
    "QjusMin;   Limite inferior da janela de validade do polin�mio na curva de jusante                                                                                                                       \n",
    "QjusMax;   Limite superior da janela de validade do polin�mio na curva de jusante                                                                                                                       \n",
    "Coef A0;   Coeficiente de grau 0 do polinomio  da curva de jusante                                                                                                                                      \n",
    "Coef A1;   Coeficiente de grau 1 do polinomio  da curva de jusante                                                                                                                                      \n",
    "Coef A2;   Coeficiente de grau 2 do polinomio  da curva de jusante                                                                                                                                      \n",
    "Coef A3;   Coeficiente de grau 3 do polinomio  da curva de jusante                                                                                                                                      \n",
    "Coef A4;   Coeficiente de grau 4 do polinomio  da curva de jusante                                                                                                                                      \n",
    "---------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;--------------;---------;------------;---------;--------------;--------------;-------------------------------------;-------------------------------------;-------------------------------------;-------------------------------------;-------------------------------------;\n",
    "USIH ;   NomeUsih   ;INDCURJUS;   Hrefer   ;INDPOLIN ;   QjusMin    ;   QjusMax    ;               Coef A0               ;               Coef A1               ;               Coef A2               ;               Coef A3               ;               Coef A4               ;\n",
    "  -  ;      -       ;    -    ;    (m)     ;    -    ;    (m3/s)    ;    (m3/s)    ;                  -                  ;                  -                  ;                  -                  ;                  -                  ;                  -                  ;\n",
    "-----;--------------;---------;------------;---------;--------------;--------------;-------------------------------------;-------------------------------------;-------------------------------------;-------------------------------------;-------------------------------------;\n",
    " 001 ; CAMARGOS     ;     1   ;     885.64 ;     1   ;         0.00 ;       395.10 ;       885.6394760382399908849038184 ;        -0.0000000000000000038297685 ;         0.0000121969747285509992542 ;        -0.0000000097634321335944003 ;         0.0000000000000000000000000 ;\n",
    " 001 ; CAMARGOS     ;     2   ;     885.66 ;     1   ;         0.00 ;       296.70 ;       885.6609973524499537234078161 ;         0.0000000000000000006044231 ;         0.0000147545394254620006869 ;        -0.0000000302967298562090003 ;         0.0000000000373754054320950 ;\n",
    " 001 ; CAMARGOS     ;     2   ;     885.66 ;     2   ;       296.70 ;       395.10 ;       885.6394760382399908849038184 ;        -0.0000000000000000038297685 ;         0.0000121969747285509992542 ;        -0.0000000097634321335944003 ;         0.0000000000000000000000000 ;\n",
    " 001 ; CAMARGOS     ;     3   ;     885.74 ;     1   ;         0.00 ;       266.40 ;       885.7390157454899508593371138 ;         0.0000000000000000175023060 ;         0.0000101215461565290005863 ;        -0.0000000152366033013329986 ;         0.0000000000300258106842920 ;\n",
    " 001 ; CAMARGOS     ;     3   ;     885.74 ;     2   ;       266.40 ;       395.10 ;       885.6394760382399908849038184 ;        -0.0000000000000000038297685 ;         0.0000121969747285509992542 ;        -0.0000000097634321335944003 ;         0.0000000000000000000000000 ;\n",
    " 002 ; ITUTINGA     ;     1   ;     856.31 ;     1   ;         0.00 ;      1103.30 ;       856.3117011586100488784722984 ;         0.0085476147856753999926260 ;        -0.0000121023028466739998886 ;         0.0000000122279760247550004 ;        -0.0000000000044466594860191 ;\n",
    " 002 ; ITUTINGA     ;     1   ;     856.31 ;     2   ;      1103.30 ;      2783.40 ;       861.1460800834099700296064839 ;        -0.0053842355966957000310003 ;         0.0000070394300628410002633 ;        -0.0000000025345237651188999 ;         0.0000000000003194772728509 ;\n",
    " 004 ; FUNIL-GRANDE ;     1   ;     766.30 ;     1   ;         0.00 ;      1273.50 ;       766.3000358778000418169540353 ;         0.0087538167661415991482876 ;        -0.0000021420076836017999821 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 004 ; FUNIL-GRANDE ;     1   ;     766.30 ;     2   ;      1273.50 ;      6238.20 ;       768.4048101334999500977573916 ;         0.0056375735802964999782150 ;        -0.0000011514579114906000086 ;         0.0000000001323979231500600 ;        -0.0000000000000061456176099 ;\n",
    " 004 ; FUNIL-GRANDE ;     2   ;     767.10 ;     1   ;         0.00 ;       802.70 ;       767.1000000000000227373675443 ;         0.0079411797607765993028961 ;        -0.0000065551002600138996230 ;         0.0000000085924084745006005 ;        -0.0000000000042109089791288 ;\n",
    " 004 ; FUNIL-GRANDE ;     2   ;     767.10 ;     2   ;       802.70 ;      1273.50 ;       766.3000358778000418169540353 ;         0.0087538167661415991482876 ;        -0.0000021420076836017999821 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 004 ; FUNIL-GRANDE ;     2   ;     767.10 ;     3   ;      1273.50 ;      6238.20 ;       768.4048101334999500977573916 ;         0.0056375735802964999782150 ;        -0.0000011514579114906000086 ;         0.0000000001323979231500600 ;        -0.0000000000000061456176099 ;\n",
    " 004 ; FUNIL-GRANDE ;     3   ;     767.40 ;     1   ;         0.00 ;      1561.20 ;       767.3999999999999772626324557 ;         0.0057904287284212003356076 ;         0.0000014368501148194000278 ;        -0.0000000023152774536626001 ;         0.0000000000006287048762601 ;\n",
    " 004 ; FUNIL-GRANDE ;     3   ;     767.40 ;     2   ;      1561.20 ;      6238.20 ;       768.4048101334999500977573916 ;         0.0056375735802964999782150 ;        -0.0000011514579114906000086 ;         0.0000000001323979231500600 ;        -0.0000000000000061456176099 ;\n",
    " 004 ; FUNIL-GRANDE ;     4   ;     767.60 ;     1   ;         0.00 ;      1003.30 ;       767.6000000000000227373675443 ;         0.0054835094803131999297019 ;         0.0000005028492342067700137 ;        -0.0000000006745069188974500 ;         0.0000000000000000000000000 ;\n",
    " 004 ; FUNIL-GRANDE ;     4   ;     767.60 ;     2   ;      1003.30 ;      1273.50 ;       766.3000358778000418169540353 ;         0.0087538167661415991482876 ;        -0.0000021420076836017999821 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 004 ; FUNIL-GRANDE ;     4   ;     767.60 ;     3   ;      1273.50 ;      6238.20 ;       768.4048101334999500977573916 ;         0.0056375735802964999782150 ;        -0.0000011514579114906000086 ;         0.0000000001323979231500600 ;        -0.0000000000000061456176099 ;\n",
    " 004 ; FUNIL-GRANDE ;     5   ;     767.90 ;     1   ;         0.00 ;      1297.40 ;       767.8999999999999772626324557 ;         0.0041322744090738997707613 ;         0.0000041728562517783996785 ;        -0.0000000044677922100486999 ;         0.0000000000012438898036689 ;\n",
    " 004 ; FUNIL-GRANDE ;     5   ;     767.90 ;     2   ;      1297.40 ;      6238.20 ;       768.4048101334999500977573916 ;         0.0056375735802964999782150 ;        -0.0000011514579114906000086 ;         0.0000000001323979231500600 ;        -0.0000000000000061456176099 ;\n",
    " 006 ; FURNAS       ;     1   ;     669.17 ;     1   ;         0.00 ;      1468.00 ;       669.1746616572399943834170699 ;         0.0080047005008102006112791 ;        -0.0000077812107210608995127 ;         0.0000000042010193528493000 ;        -0.0000000000009457721676553 ;\n",
    " 006 ; FURNAS       ;     1   ;     669.17 ;     2   ;      1468.00 ;      4279.20 ;       672.0398548208099782641511410 ;         0.0007277843861883700029083 ;        -0.0000000247858769153549999 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 006 ; FURNAS       ;     1   ;     669.17 ;     3   ;      4279.20 ;     11245.50 ;       668.9653848766399732994614169 ;         0.0026587260319543000279541 ;        -0.0000004436057494748100076 ;         0.0000000000363420288962800 ;        -0.0000000000000010941749279 ;\n",
    " 007 ; M. DE MORAES ;     1   ;     619.09 ;     1   ;         0.00 ;      5248.20 ;       619.0897066723299531076918356 ;        -0.0000000000000000081895875 ;         0.0000012975626534374000008 ;        -0.0000000003209095720509100 ;         0.0000000000000243052277304 ;\n",
    " 007 ; M. DE MORAES ;     1   ;     619.09 ;     2   ;      5248.20 ;     13081.90 ;       620.8103217057799838585196994 ;         0.0011564398928530000756204 ;         0.0000000000000027766237066 ;        -0.0000000000000000001096909 ;         0.0000000000000000000000000 ;\n",
    " 007 ; M. DE MORAES ;     2   ;     619.80 ;     1   ;         0.00 ;      3098.80 ;       619.7999999999999545252649114 ;         0.0000354697689107460027995 ;         0.0000008193701713221400194 ;        -0.0000000001188411969209600 ;         0.0000000000000000000000000 ;\n",
    " 007 ; M. DE MORAES ;     2   ;     619.80 ;     2   ;      3098.80 ;      5248.20 ;       619.0897066723299531076918356 ;        -0.0000000000000000081895875 ;         0.0000012975626534374000008 ;        -0.0000000003209095720509100 ;         0.0000000000000243052277304 ;\n",
    " 007 ; M. DE MORAES ;     2   ;     619.80 ;     3   ;      5248.20 ;     13081.90 ;       620.8103217057799838585196994 ;         0.0011564398928530000756204 ;         0.0000000000000027766237066 ;        -0.0000000000000000001096909 ;         0.0000000000000000000000000 ;\n",
    " 007 ; M. DE MORAES ;     3   ;     620.50 ;     1   ;         0.00 ;      3260.80 ;       620.5000000000000000000000000 ;        -0.0000000000000000006630932 ;         0.0000005515437345480699884 ;        -0.0000000000260453262752870 ;        -0.0000000000000084340112778 ;\n",
    " 007 ; M. DE MORAES ;     3   ;     620.50 ;     2   ;      3260.80 ;      5248.20 ;       619.0897066723299531076918356 ;        -0.0000000000000000081895875 ;         0.0000012975626534374000008 ;        -0.0000000003209095720509100 ;         0.0000000000000243052277304 ;\n",
    " 007 ; M. DE MORAES ;     3   ;     620.50 ;     3   ;      5248.20 ;     13081.90 ;       620.8103217057799838585196994 ;         0.0011564398928530000756204 ;         0.0000000000000027766237066 ;        -0.0000000000000000001096909 ;         0.0000000000000000000000000 ;\n",
    " 007 ; M. DE MORAES ;     4   ;     621.30 ;     1   ;         0.00 ;      3452.00 ;       621.2999999999999545252649114 ;        -0.0000000000000000011853126 ;         0.0000003525105744279700031 ;         0.0000000000116987510809640 ;        -0.0000000000000083052744662 ;\n",
    " 007 ; M. DE MORAES ;     4   ;     621.30 ;     2   ;      3452.00 ;      5248.20 ;       619.0897066723299531076918356 ;        -0.0000000000000000081895875 ;         0.0000012975626534374000008 ;        -0.0000000003209095720509100 ;         0.0000000000000243052277304 ;\n",
    " 007 ; M. DE MORAES ;     4   ;     621.30 ;     3   ;      5248.20 ;     13081.90 ;       620.8103217057799838585196994 ;         0.0011564398928530000756204 ;         0.0000000000000027766237066 ;        -0.0000000000000000001096909 ;         0.0000000000000000000000000 ;\n",
    " 007 ; M. DE MORAES ;     5   ;     622.00 ;     1   ;         0.00 ;      3992.80 ;       622.0000000000000000000000000 ;         0.0000000000000000031288680 ;         0.0000002021671451647799991 ;         0.0000000000448967125888900 ;        -0.0000000000000100524577604 ;\n",
    " 007 ; M. DE MORAES ;     5   ;     622.00 ;     2   ;      3992.80 ;      5248.20 ;       619.0897066723299531076918356 ;        -0.0000000000000000081895875 ;         0.0000012975626534374000008 ;        -0.0000000003209095720509100 ;         0.0000000000000243052277304 ;\n",
    " 007 ; M. DE MORAES ;     5   ;     622.00 ;     3   ;      5248.20 ;     13081.90 ;       620.8103217057799838585196994 ;         0.0011564398928530000756204 ;         0.0000000000000027766237066 ;        -0.0000000000000000001096909 ;         0.0000000000000000000000000 ;\n",
    " 008 ; ESTREITO     ;     1   ;     556.01 ;     1   ;         0.00 ;      4730.20 ;       556.0106867528400016453815624 ;         0.0029269194011373998211278 ;        -0.0000009764744820332899441 ;         0.0000000001899797374685200 ;        -0.0000000000000139548894309 ;\n",
    " 008 ; ESTREITO     ;     1   ;     556.01 ;     2   ;      4730.20 ;     11989.50 ;       559.9848444430300560270552523 ;        -0.0003507255368127299832021 ;         0.0000002021637441136999927 ;        -0.0000000000191007089586960 ;         0.0000000000000005996751401 ;\n",
    " 008 ; ESTREITO     ;     2   ;     557.20 ;     1   ;         0.00 ;       883.80 ;       557.2000000000000454747350886 ;         0.0000045810171422442999561 ;        -0.0000001925153734569000043 ;         0.0000000027486240099454001 ;        -0.0000000000016287708873611 ;\n",
    " 008 ; ESTREITO     ;     2   ;     557.20 ;     2   ;       883.80 ;      4730.20 ;       556.0106867528400016453815624 ;         0.0029269194011373998211278 ;        -0.0000009764744820332899441 ;         0.0000000001899797374685200 ;        -0.0000000000000139548894309 ;\n",
    " 008 ; ESTREITO     ;     2   ;     557.20 ;     3   ;      4730.20 ;     11989.50 ;       559.9848444430300560270552523 ;        -0.0003507255368127299832021 ;         0.0000002021637441136999927 ;        -0.0000000000191007089586960 ;         0.0000000000000005996751401 ;\n",
    " 008 ; ESTREITO     ;     3   ;     557.50 ;     1   ;         0.00 ;      2382.10 ;       557.5000000000000000000000000 ;         0.0000000000000000042086702 ;         0.0000012642671587203000812 ;        -0.0000000005846279901323000 ;         0.0000000000000866202395124 ;\n",
    " 008 ; ESTREITO     ;     3   ;     557.50 ;     2   ;      2382.10 ;      4730.20 ;       556.0106867528400016453815624 ;         0.0029269194011373998211278 ;        -0.0000009764744820332899441 ;         0.0000000001899797374685200 ;        -0.0000000000000139548894309 ;\n",
    " 008 ; ESTREITO     ;     3   ;     557.50 ;     3   ;      4730.20 ;     11989.50 ;       559.9848444430300560270552523 ;        -0.0003507255368127299832021 ;         0.0000002021637441136999927 ;        -0.0000000000191007089586960 ;         0.0000000000000005996751401 ;\n",
    " 008 ; ESTREITO     ;     4   ;     557.80 ;     1   ;         0.00 ;      3416.60 ;       557.7999999999999545252649114 ;        -0.0000000000000000012367645 ;         0.0000008533942258808699752 ;        -0.0000000003084251258811800 ;         0.0000000000000354210437790 ;\n",
    " 008 ; ESTREITO     ;     4   ;     557.80 ;     2   ;      3416.60 ;      4730.20 ;       556.0106867528400016453815624 ;         0.0029269194011373998211278 ;        -0.0000009764744820332899441 ;         0.0000000001899797374685200 ;        -0.0000000000000139548894309 ;\n",
    " 008 ; ESTREITO     ;     4   ;     557.80 ;     3   ;      4730.20 ;     11989.50 ;       559.9848444430300560270552523 ;        -0.0003507255368127299832021 ;         0.0000002021637441136999927 ;        -0.0000000000191007089586960 ;         0.0000000000000005996751401 ;\n",
    " 008 ; ESTREITO     ;     5   ;     558.10 ;     1   ;         0.00 ;      4671.20 ;       558.1000000000000227373675443 ;         0.0000000000000000016624291 ;         0.0000005786408700412199895 ;        -0.0000000001554297932249600 ;         0.0000000000000130476445010 ;\n",
    " 008 ; ESTREITO     ;     5   ;     558.10 ;     2   ;      4671.20 ;      4730.20 ;       556.0106867528400016453815624 ;         0.0029269194011373998211278 ;        -0.0000009764744820332899441 ;         0.0000000001899797374685200 ;        -0.0000000000000139548894309 ;\n",
    " 008 ; ESTREITO     ;     5   ;     558.10 ;     3   ;      4730.20 ;     11989.50 ;       559.9848444430300560270552523 ;        -0.0003507255368127299832021 ;         0.0000002021637441136999927 ;        -0.0000000000191007089586960 ;         0.0000000000000005996751401 ;\n",
    " 009 ; JAGUARA      ;     1   ;     512.07 ;     1   ;         0.00 ;      4224.80 ;       512.0656796494599802826996893 ;        -0.0000000000000000060767891 ;         0.0000013495584440819000287 ;        -0.0000000004372085628346000 ;         0.0000000000000449990054390 ;\n",
    " 009 ; JAGUARA      ;     1   ;     512.07 ;     2   ;      4224.80 ;      6030.80 ;       504.9696970354700056304864120 ;         0.0052038948490374997354890 ;        -0.0000007687066175013500296 ;         0.0000000000673189277565350 ;        -0.0000000000000024802596312 ;\n",
    " 010 ; IGARAPAVA    ;     1   ;     493.66 ;     1   ;         0.00 ;      1875.60 ;       493.6613061191999918264627922 ;         0.0012639360188390000305780 ;        -0.0000001978623795188500056 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 010 ; IGARAPAVA    ;     1   ;     493.66 ;     2   ;      1875.60 ;      4734.90 ;       493.7468259312299778684973717 ;         0.0012898333446039000980271 ;        -0.0000003068929382890699852 ;         0.0000000000423321264841110 ;        -0.0000000000000024120072369 ;\n",
    " 010 ; IGARAPAVA    ;     2   ;     494.00 ;     1   ;         0.00 ;      1888.60 ;       493.9953566948100274203170557 ;         0.0006314054601910599855141 ;         0.0000003213637488120600196 ;        -0.0000000002167645107812500 ;         0.0000000000000368464026666 ;\n",
    " 010 ; IGARAPAVA    ;     2   ;     494.00 ;     2   ;      1888.60 ;      4734.90 ;       493.7468259312299778684973717 ;         0.0012898333446039000980271 ;        -0.0000003068929382890699852 ;         0.0000000000423321264841110 ;        -0.0000000000000024120072369 ;\n",
    " 010 ; IGARAPAVA    ;     3   ;     494.09 ;     1   ;         0.00 ;      1814.80 ;       494.0866009379699903547589201 ;         0.0003740501344960600257905 ;         0.0000009194235540597800234 ;        -0.0000000007053455265187700 ;         0.0000000000001590991229096 ;\n",
    " 010 ; IGARAPAVA    ;     3   ;     494.09 ;     2   ;      1814.80 ;      1875.60 ;       493.6613061191999918264627922 ;         0.0012639360188390000305780 ;        -0.0000001978623795188500056 ;         0.0000000000000000000000000 ;         0.0000000000000000000000000 ;\n",
    " 010 ; IGARAPAVA    ;     3   ;     494.09 ;     3   ;      1875.60 ;      4734.90 ;       493.7468259312299778684973717 ;         0.0012898333446039000980271 ;        -0.0000003068929382890699852 ;         0.0000000000423321264841110 ;        -0.0000000000000024120072369 ;\n",
    " 011 ; VOLTA GRANDE ;     1   ;     465.68 ;     1   ;         0.00 ;      5160.30 ;       465.6823049738300142053049058 ;         0.0009516902610463700033436 ;        -0.0000000952665910768680024 ;         0.0000000000068892475354754 ;         0.0000000000000000000000000 ;\n",
    " 011 ; VOLTA GRANDE ;     1   ;     465.68 ;     2   ;      5160.30 ;     13509.10 ;       467.3756745785499902012816165 ;        -0.0000379603226354540001391 ;         0.0000001028342560991000044 ;        -0.0000000000076882885963454 ;         0.0000000000000001995329666 ;\n",
    " 011 ; VOLTA GRANDE ;     2   ;     466.29 ;     1   ;         0.00 ;      2318.40 ;       466.2890546185299740500340704 ;         0.0000000000000000011106885 ;         0.0000006597710901632400518 ;        -0.0000000003080354572272000 ;         0.0000000000000507339825102 ;\n",
    " 011 ; VOLTA GRANDE ;     2   ;     466.29 ;     2   ;      2318.40 ;      5160.30 ;       465.6823049738300142053049058 ;         0.0009516902610463700033436 ;        -0.0000000952665910768680024 ;         0.0000000000068892475354754 ;         0.0000000000000000000000000 ;\n",
    "\n",
]
